From d5f656b362467e3c88fe705f59756d2fc00a72e0 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 5 Nov 2025 12:05:44 +0000
Subject: [PATCH] libxcrypt-compat,libxcrypt: upgrade 4.4.38 -> 4.5.0,4.4.38 ->
 4.5.0

---
 ...at_4.4.38.bb => libxcrypt-compat_4.5.0.bb} | 44 ++++++++++++++++++
 meta/recipes-core/libxcrypt/libxcrypt.inc     |  4 +-
 .../libxcrypt/libxcrypt_4.4.38.bb             |  2 -
 .../recipes-core/libxcrypt/libxcrypt_4.5.0.bb | 46 +++++++++++++++++++
 4 files changed, 92 insertions(+), 4 deletions(-)
 rename meta/recipes-core/libxcrypt/{libxcrypt-compat_4.4.38.bb => libxcrypt-compat_4.5.0.bb} (18%)
 delete mode 100644 meta/recipes-core/libxcrypt/libxcrypt_4.4.38.bb
 create mode 100644 meta/recipes-core/libxcrypt/libxcrypt_4.5.0.bb

diff --git a/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.38.bb b/meta/recipes-core/libxcrypt/libxcrypt-compat_4.5.0.bb
similarity index 18%
rename from meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.38.bb
rename to meta/recipes-core/libxcrypt/libxcrypt-compat_4.5.0.bb
index bb4e2032dd..4fc4d0da78 100644
--- a/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.38.bb
+++ b/meta/recipes-core/libxcrypt/libxcrypt-compat_4.5.0.bb
@@ -1,3 +1,47 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSING
+# +++ LICENSING
+# @@ -20,7 +20,7 @@
+#     crypt-des.c, crypt-des-obsolete.c, gen-des-tables.c
+#  
+#   * Public domain, written by Ulrich Drepper et al.:
+# -   crypt-sha256.c, crypt-sha512.c
+# +   crypt-sha256.c, crypt-sha512.c, crypt-sm3.c
+#  
+#   * Public domain, written by Solar Designer et al.:
+#     alg-md4.h, alg-md4.c, alg-md5.h, alg-md5.c,
+# @@ -53,8 +53,9 @@
+#     crypt-scrypt.c
+#  
+#   * Copyright Björn Esser; 0-clause BSD:
+# -   crypt-common.c, test-checksalt.c, test-compile-strong-alias.c,
+# -   test-gensalt-nthash.c, test-short-outbuf.c, test-special-char-salt.c
+# +   alg-sm3-hmac.h, alg-sm3-hmac.c, crypt-sm3-yescrypt.c, crypt-common.c,
+# +   test-checksalt.c, test-compile-strong-alias.c, test-gensalt-nthash.c,
+# +   test-short-outbuf.c, test-special-char-salt.c
+#  
+#   * Copyright Michael Bretterklieber, Björn Esser et al.; 2-clause BSD:
+#     crypt-nthash.c
+# @@ -67,6 +68,9 @@
+#  
+#   * Copyright Juniper Networks, Inc.; 3-clause BSD:
+#     crypt-pbkdf1-sha1.c, crypt-pbkdf1-sha1.c
+# +
+# + * Copyright Tianjia Zhang; 3-clause BSD:
+# +   alg-sm3.c, alg-sm3.h
+#  
+#   * Copyright Björn Esser; 2-clause BSD:
+#     alg-hmac-sha1.c, alg-hmac-sha1.h, test-alg-hmac-sha1.c
+# 
+#
+
 #
 # This provides libcrypt.so.1 which contains obsolete APIs, needed for uninative in particular
 #
diff --git a/meta/recipes-core/libxcrypt/libxcrypt.inc b/meta/recipes-core/libxcrypt/libxcrypt.inc
index da515d1927..d17a2f2f86 100644
--- a/meta/recipes-core/libxcrypt/libxcrypt.inc
+++ b/meta/recipes-core/libxcrypt/libxcrypt.inc
@@ -3,7 +3,7 @@ DESCRIPTION = "Forked code from glibc libary to extract only crypto part."
 HOMEPAGE = "https://github.com/besser82/libxcrypt"
 SECTION = "libs"
 LICENSE = "LGPL-2.1-only"
-LIC_FILES_CHKSUM = "file://LICENSING;md5=c0a30e2b1502c55a7f37e412cd6c6a4b \
+LIC_FILES_CHKSUM = "file://LICENSING;md5=b65434749329c34b5d32c2df3f1b4112 \
                     file://COPYING.LIB;md5=4fbd65380cdd255951079008b364516c \
                     "
 
@@ -11,7 +11,7 @@ inherit autotools pkgconfig
 
 SRC_URI = "git://github.com/besser82/libxcrypt.git;branch=${SRCBRANCH};protocol=https \
            "
-SRCREV = "55ea777e8d567e5e86ffac917c28815ac54cc341"
+SRCREV = "096296cb6fbecd9ad46c93a410d76c752a5d6206"
 SRCBRANCH ?= "master"
 
 PROVIDES = "virtual/crypt"
diff --git a/meta/recipes-core/libxcrypt/libxcrypt_4.4.38.bb b/meta/recipes-core/libxcrypt/libxcrypt_4.4.38.bb
deleted file mode 100644
index 79dba2f6dc..0000000000
--- a/meta/recipes-core/libxcrypt/libxcrypt_4.4.38.bb
+++ /dev/null
@@ -1,2 +0,0 @@
-require libxcrypt.inc
-
diff --git a/meta/recipes-core/libxcrypt/libxcrypt_4.5.0.bb b/meta/recipes-core/libxcrypt/libxcrypt_4.5.0.bb
new file mode 100644
index 0000000000..24fba10c3e
--- /dev/null
+++ b/meta/recipes-core/libxcrypt/libxcrypt_4.5.0.bb
@@ -0,0 +1,46 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSING
+# +++ LICENSING
+# @@ -20,7 +20,7 @@
+#     crypt-des.c, crypt-des-obsolete.c, gen-des-tables.c
+#  
+#   * Public domain, written by Ulrich Drepper et al.:
+# -   crypt-sha256.c, crypt-sha512.c
+# +   crypt-sha256.c, crypt-sha512.c, crypt-sm3.c
+#  
+#   * Public domain, written by Solar Designer et al.:
+#     alg-md4.h, alg-md4.c, alg-md5.h, alg-md5.c,
+# @@ -53,8 +53,9 @@
+#     crypt-scrypt.c
+#  
+#   * Copyright Björn Esser; 0-clause BSD:
+# -   crypt-common.c, test-checksalt.c, test-compile-strong-alias.c,
+# -   test-gensalt-nthash.c, test-short-outbuf.c, test-special-char-salt.c
+# +   alg-sm3-hmac.h, alg-sm3-hmac.c, crypt-sm3-yescrypt.c, crypt-common.c,
+# +   test-checksalt.c, test-compile-strong-alias.c, test-gensalt-nthash.c,
+# +   test-short-outbuf.c, test-special-char-salt.c
+#  
+#   * Copyright Michael Bretterklieber, Björn Esser et al.; 2-clause BSD:
+#     crypt-nthash.c
+# @@ -67,6 +68,9 @@
+#  
+#   * Copyright Juniper Networks, Inc.; 3-clause BSD:
+#     crypt-pbkdf1-sha1.c, crypt-pbkdf1-sha1.c
+# +
+# + * Copyright Tianjia Zhang; 3-clause BSD:
+# +   alg-sm3.c, alg-sm3.h
+#  
+#   * Copyright Björn Esser; 2-clause BSD:
+#     alg-hmac-sha1.c, alg-hmac-sha1.h, test-alg-hmac-sha1.c
+# 
+#
+
+require libxcrypt.inc
+
-- 
2.47.1

